# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name concrete-typerep

%global common_summary Binary and Hashable instances for TypeRep

%global common_description Binary and Hashable instances for TypeRep

Name:           ghc-%{pkg_name}
Version:        0.1.0.2
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-hashable-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.1.0.2-1
- update to 0.1.0.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.0.1-4
- updated to cabal-rpm-0.6.6
- renamed spec file
- added ghc-ghc-devel as dependency for f18 and greater

* Sun Dec 02 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.0.1-3
- Added patch to make newtyprep as a default flag. cabal will try with deps specified 
- in the if conditional block. If that fails, it will use the package deps in else block

* Fri Oct 26 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.0.1-2
- Added conditional to define cabal flags
- Added ghc-ghc-devel as dependency

* Sun Sep  9 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.0.1-1
- spec file template generated by cabal2spec-0.25.5
